//BASE
.label {
  display: inline-block;
  padding: 0.3125rem;
  font: $label-font-size $label-font;
  color: $label-color;
  background: $label-background;
}

// COLORS
@mixin generateLabelStyles($data) {
  @each $name, $color in $data {
    .label-#{$name} {
      color: $color;
    }
  
    .label-background-#{$name} {
      background-color: $color;
    }
  }
}

// SIZE
@mixin generateLabelSizes($data) {
  @each $name, $size in $data {
    .label-#{$name} {
      font-size: $size;
    }
  }
}